"""init old pricelist

Revision ID: 9d5bf89eb130
Revises: 20482a003db8
Create Date: 2023-04-11 20:13:26.702759

"""
from alembic import op
import sqlalchemy as sa
import flaschengeist


# revision identifiers, used by Alembic.
revision = "9d5bf89eb130"
down_revision = None
branch_labels = ("pricelist_old",)
depends_on = "flaschengeist"


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table(
        "pricelist_old_drink_type",
        sa.Column("id", flaschengeist.database.types.Serial(), nullable=False),
        sa.Column("name", sa.String(length=30), nullable=False),
        sa.PrimaryKeyConstraint("id", name=op.f("pk_pricelist_old_drink_type")),
        sa.UniqueConstraint("name", name=op.f("uq_pricelist_old_drink_type_name")),
    )
    op.create_table(
        "pricelist_old_pricelist",
        sa.Column("id", flaschengeist.database.types.Serial(), nullable=False),
        sa.Column("name", sa.String(length=30), nullable=False),
        sa.Column("price", sa.Numeric(precision=5, scale=2, asdecimal=False), nullable=False),
        sa.Column("price_big", sa.Numeric(precision=5, scale=2, asdecimal=False), nullable=True),
        sa.Column("price_club", sa.Numeric(precision=5, scale=2, asdecimal=False), nullable=True),
        sa.Column("price_big_club", sa.Numeric(precision=5, scale=2, asdecimal=False), nullable=True),
        sa.Column("premium", sa.Numeric(precision=5, scale=2, asdecimal=False), nullable=True),
        sa.Column("premium_big", sa.Numeric(precision=5, scale=2, asdecimal=False), nullable=True),
        sa.Column("price_extern_club", sa.Numeric(precision=5, scale=2, asdecimal=False), nullable=True),
        sa.Column("drink_type_id", flaschengeist.database.types.Serial(), nullable=False),
        sa.ForeignKeyConstraint(
            ["drink_type_id"],
            ["pricelist_old_drink_type.id"],
            name=op.f("fk_pricelist_old_pricelist_drink_type_id_pricelist_old_drink_type"),
        ),
        sa.PrimaryKeyConstraint("id", name=op.f("pk_pricelist_old_pricelist")),
        sa.UniqueConstraint("name", name=op.f("uq_pricelist_old_pricelist_drink_name")),
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table("pricelist_old_pricelist")
    op.drop_table("pricelist_old_drink_type")
    # ### end Alembic commands ###
